{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.programs.gnome-terminal;
in {
  options.ptw.programs.gnome-terminal = {
    enable = lib.mkEnableOption "Configure GNOME Terminal using HomeManager";
  };

  config = lib.mkIf cfg.enable {
    environment.systemPackages = [ pkgs.gnome.gnome-terminal ];
    home-manager.users."${config.ptw.system.singleUser}".programs.gnome-terminal = {
      enable = true;
      profile.default = {
        visibleName = "default";
        audibleBell = false;
        #boldIsBright = true;
        default = true;
        # TODO: Make this configurable
        font = "Source Code Pro 12";
      };
    };
  };
}
